com.smartgwt.client.util

## Class LogicalDate_CustomFieldSerializer

- java.lang.Object
- - com.google.gwt.user.client.rpc.CustomFieldSerializer<LogicalDate>
  - - com.smartgwt.client.util.LogicalDate_CustomFieldSerializer

-     public class LogicalDate_CustomFieldSerializer
      extends CustomFieldSerializer<LogicalDate>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogicalDate_CustomFieldSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `deserialize(SerializationStreamReader streamReader, LogicalDate instance)`
    `void` | `deserializeInstance(SerializationStreamReader streamReader, LogicalDate instance)`
    `boolean` | `hasCustomInstantiateInstance()`
    `static LogicalDate` | `instantiate(SerializationStreamReader streamReader)`
    `LogicalDate` | `instantiateInstance(SerializationStreamReader streamReader)`
    `static void` | `serialize(SerializationStreamWriter streamWriter, LogicalDate instance)`
    `void` | `serializeInstance(SerializationStreamWriter streamWriter, LogicalDate instance)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogicalDate_CustomFieldSerializer

          public LogicalDate_CustomFieldSerializer()

  - ### Method Detail

    - #### deserialize

          public static void deserialize(SerializationStreamReader streamReader,
                         LogicalDate instance)

    - #### instantiate

          public static LogicalDate instantiate(SerializationStreamReader streamReader)
                                         throws SerializationException

      Throws:
        `SerializationException`

    - #### serialize

          public static void serialize(SerializationStreamWriter streamWriter,
                       LogicalDate instance)
                                throws SerializationException

      Throws:
        `SerializationException`

    - #### deserializeInstance

          public void deserializeInstance(SerializationStreamReader streamReader,
                                 LogicalDate instance)
                                   throws SerializationException

      Specified by:
        `deserializeInstance` in class `CustomFieldSerializer<LogicalDate>`
      Throws:
        `SerializationException`

    - #### hasCustomInstantiateInstance

          public final boolean hasCustomInstantiateInstance()

      Overrides:
        `hasCustomInstantiateInstance` in class `CustomFieldSerializer<LogicalDate>`

    - #### instantiateInstance

          public LogicalDate instantiateInstance(SerializationStreamReader streamReader)
                                          throws SerializationException

      Overrides:
        `instantiateInstance` in class `CustomFieldSerializer<LogicalDate>`
      Throws:
        `SerializationException`

    - #### serializeInstance

          public void serializeInstance(SerializationStreamWriter streamWriter,
                               LogicalDate instance)
                                 throws SerializationException

      Specified by:
        `serializeInstance` in class `CustomFieldSerializer<LogicalDate>`
      Throws:
        `SerializationException`